﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Windows.Controls;

namespace Hardcodet.Wpf.ValidationRules
{
  public class NumericRule : ValidationRule
  {
    /// <summary>
    /// Checks whether a value can be converted to a numeric value.
    /// </summary>
    public override ValidationResult Validate(object value, CultureInfo cultureInfo)
    {
      string input = value as string;

      //try conversion
      int result;
      var status = int.TryParse(input, NumberStyles.Number,
                                cultureInfo.NumberFormat, out result);

      //return valid result if conversion succeeded
      return status ? ValidationResult.ValidResult 
                    : new ValidationResult(false, input + " is not a number");
    }
  }
}